astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- World Coordinate System (`astropy.wcs`) »
- is_proj_plane_distorted

# is_proj_plane_distorted

`astropy.wcs.utils.``is_proj_plane_distorted`(wcs, maxerr=1e-05)

  For a WCS returns `False` if square image (detector) pixels stay square when projected onto the “plane of intermediate world coordinates” as defined in Greisen & Calabretta 2002, A&A, 395, 1061. It will return `True` if transformation from image (detector) coordinates to the focal plane coordinates is non-orthogonal or if WCS contains non-linear (e.g., SIP) distortions.

  Note

  Since this function is concerned only about the transformation “image plane”->”focal plane” and not about the transformation “celestial sphere”->”focal plane”->”image plane”, this function ignores distortions arising due to non-linear nature of most projections.

  Let’s denote by C either the original or the reconstructed (from `PC` and `CDELT`) CD matrix. `is_proj_plane_distorted` verifies that the transformation from image (detector) coordinates to the focal plane coordinates is orthogonal using the following check:

  \left \| \frac{C \cdot C^{\mathrm{T}}} {| det(C)|} - I \right \|_{\mathrm{max}} < \epsilon .

  Parameters:

  wcs : `WCS`

  > World coordinate system object

  maxerr : float, optional

  > Accuracy to which the CD matrix, normalized such that |det(CD)|=1, should be close to being an orthogonal matrix as described in the above equation (see \epsilon).

  Returns:

  distorted : bool

  > Returns `True` if focal (projection) plane is distorted and `False` otherwise.